From: Boyuan Yang <byang@debian.org>
Date: Fri, 14 Feb 2020 17:03:09 -0500
Subject: cmake/Macros.cmake: Disable RPATH

---
 doomsday/cmake/Macros.cmake | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/doomsday/cmake/Macros.cmake b/doomsday/cmake/Macros.cmake
index 27956ee..c1ddf7c 100644
--- a/doomsday/cmake/Macros.cmake
+++ b/doomsday/cmake/Macros.cmake
@@ -128,10 +128,8 @@ macro (deng_target_rpath target)
         endif ()
         set (_extraRPath)
     elseif (UNIX)
-        set_property (TARGET ${target}
-            PROPERTY INSTALL_RPATH
-                "${CMAKE_INSTALL_PREFIX}/${DENG_INSTALL_PLUGIN_DIR};${CMAKE_INSTALL_PREFIX}/${DENG_INSTALL_LIB_DIR};$ORIGIN/../${DENG_INSTALL_PLUGIN_DIR};$ORIGIN/../${DENG_INSTALL_LIB_DIR}"
-        )
+        # Debian-specific patch: Do not use RPATH at all
+        set_target_properties(${target} PROPERTIES SKIP_BUILD_RPATH TRUE)
     endif ()
 endmacro (deng_target_rpath)
 
